Bug 19372 - Selecting MARC framework doesn't work when adding to basket from an external source
Summary: Selecting MARC framework doesn't work when adding to basket from an external ...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords:
Depends on: 15801
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-27 11:28 UTC by Marijana Glavica
Modified: 2017-10-18 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19372: (bug 15801 follow-up) pass selected frameworkcode to the template (1.58 KB, patch)
2017-09-27 15:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19372: (bug 15801 follow-up) pass selected frameworkcode to the template (1.62 KB, patch)
2017-09-28 11:54 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 19372: (bug 15801 follow-up) pass selected frameworkcode to the template (1.67 KB, patch)
2017-09-28 12:32 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 19372: (bug 15801 follow-up) pass selected frameworkcode to the template (1.73 KB, patch)
2017-09-29 12:09 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marijana Glavica 2017-09-27 11:28:54 UTC
In acquisitions, when adding items to basket from an external source there is an option to select MARC framework. No matter what we choose, the record is created in default framework.
Comment 1 Jonathan Druart 2017-09-27 15:50:13 UTC
Caused by bug 15801.
Comment 2 Jonathan Druart 2017-09-27 15:57:56 UTC
Created attachment 67398 [details] [review]
Bug 19372: (bug 15801 follow-up) pass selected frameworkcode to the template

Bug 15801 removes the 2 lines that were necessary to retrieve the
framework selected by the user and pass it to the template.
All bibliographic records created when adding an order to the basket
using an external source used the default framework.

Test plan:
Add an order to a basket from an external source
Select another framework than the default one
=> Without this patch, whatever the framework you picked, the default
one is used
=> With this patch applied the framework code you will pick will be used
Comment 3 Jonathan Druart 2017-09-27 15:58:18 UTC
Upping severity a bit as it impacts stable releases.
Comment 4 sandboxes@biblibre.com 2017-09-28 11:54:10 UTC
Patch tested with a sandbox, by Marijana Glavica <mglavica@ffzg.hr>
Comment 5 sandboxes@biblibre.com 2017-09-28 11:54:29 UTC
Created attachment 67429 [details] [review]
Bug 19372: (bug 15801 follow-up) pass selected frameworkcode to the template

Bug 15801 removes the 2 lines that were necessary to retrieve the
framework selected by the user and pass it to the template.
All bibliographic records created when adding an order to the basket
using an external source used the default framework.

Test plan:
Add an order to a basket from an external source
Select another framework than the default one
=> Without this patch, whatever the framework you picked, the default
one is used
=> With this patch applied the framework code you will pick will be used

Signed-off-by: Marijana Glavica <mglavica@ffzg.hr>
Comment 6 sandboxes@biblibre.com 2017-09-28 12:32:10 UTC
Patch tested with a sandbox, by Marijana Glavica <mglavica@ffzg.hr>
Comment 7 sandboxes@biblibre.com 2017-09-28 12:32:30 UTC
Created attachment 67430 [details] [review]
Bug 19372: (bug 15801 follow-up) pass selected frameworkcode to the template

Bug 15801 removes the 2 lines that were necessary to retrieve the
framework selected by the user and pass it to the template.
All bibliographic records created when adding an order to the basket
using an external source used the default framework.

Test plan:
Add an order to a basket from an external source
Select another framework than the default one
=> Without this patch, whatever the framework you picked, the default
one is used
=> With this patch applied the framework code you will pick will be used

Signed-off-by: Marijana Glavica <mglavica@ffzg.hr>

Signed-off-by: Marijana Glavica <mglavica@ffzg.hr>
Comment 8 Marijana Glavica 2017-09-28 13:10:53 UTC
Sorry, I am not sure how this duplicate testing and signing-off has happened.
Comment 9 Kyle M Hall 2017-09-29 12:09:50 UTC
Created attachment 67443 [details] [review]
Bug 19372: (bug 15801 follow-up) pass selected frameworkcode to the template

Bug 15801 removes the 2 lines that were necessary to retrieve the
framework selected by the user and pass it to the template.
All bibliographic records created when adding an order to the basket
using an external source used the default framework.

Test plan:
Add an order to a basket from an external source
Select another framework than the default one
=> Without this patch, whatever the framework you picked, the default
one is used
=> With this patch applied the framework code you will pick will be used

Signed-off-by: Marijana Glavica <mglavica@ffzg.hr>

Signed-off-by: Marijana Glavica <mglavica@ffzg.hr>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Jonathan Druart 2017-09-29 15:49:52 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 11 Fridolin SOMERS 2017-10-17 08:15:01 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 12 Katrin Fischer 2017-10-18 21:23:47 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.